'use client'
import { closeSession } from "@/feature/messenger/utils/CloseSession";
import { useTranslation } from "@/hooks/useTranslation";
import { Button, Tooltip } from "@nextui-org/react";
import { LogOut } from "react-feather";

export default function CloseSessionButton() {
    const { trans } = useTranslation();

    const Logout = () => {
        closeSession();
    }
    return (
        <Tooltip
          placement="right"
          content={trans('close_session_button_title')}	
          color="default"
        >
            <Button onClick={Logout} color="default" radius="full" className="min-w-11 min-h-11 size-11 p-0 bg-white text-indigo-600" variant="solid">
                <LogOut size={26} />
            </Button>
        </Tooltip>
    )
}